/* 
 * File:   main.c
 * Author: Chisanga
 *
 * Created on 05 May 2020, 11:02 PM
 */

//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "headers/TC74.h"
#include "headers/Lcd4.h"
//------------------------------------------------------------------------------
char output[18] = {0};
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  CMCON = 7;                     //Disable Comparator thus making Port A Digital
  TC74_init();
  LCD_init();
    
  while(1)
  {
    sprintf(output,"Tempr:%dC",TC74_readTempr());
    LCD_string(0,0,output);
    
    __delay_ms(1000);
    LCD_command(clear);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------